package com.liquidnet.service.kylin.service;

import com.liquidnet.service.kylin.dto.vo.returns.KylinArtistDetailFrontVo;
import com.liquidnet.service.kylin.dto.vo.returns.KylinArtistPerformanceFrontVo;
import com.liquidnet.service.kylin.dto.vo.returns.KylinArtistProductFrontVo;

import java.util.List;

/**
 * C端艺人详情
 */
public interface IKylinArtistFrontService {

    KylinArtistDetailFrontVo getArtistDetail(String artistId);

    List<String> getArtistAlbum(String artistId);

    List<KylinArtistPerformanceFrontVo> getArtistPerformances(String artistId);

    List<KylinArtistProductFrontVo> getArtistProducts(String artistId);
}
